Pocketmine on Raspberry Pi 3 #4301

Open
jamesguessis opened this Issue Oct 25, 2016 · 3 comments

Projects

None yet

4 participants

@jamesguessis
jamesguessis commented Oct 25, 2016 edited
pi@raspberrypi:~/pocketmine $ ./start.sh 
Couldn't find a working PHP 7 binary, please use the installer.
pi@raspberrypi:~/pocketmine $ php -v
PHP 7.0.12-1 (cli) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies
    with Zend OPcache v7.0.12-1, Copyright (c) 1999-2016, by Zend Technologies
pi@raspberrypi:~/pocketmine $ 

I don't know what the problem is.
I ran the command given by the "get pocketmine" section of the website

@robske110
robske110 commented Oct 26, 2016 edited
  1. this project has moved -> check Readme
  2. this project uses a php bin in located in a folder inside the server folder.
  3. if you want to run pocketmine using your system php follow these steps:
    • Download src folder of pocketmine on pmmp/PocketMine-MP
    • Make sure you have all the extensions required
    • enter php /path/to/src/pocketmine/PocketMine.php
@ebmarquez

I noticed the same error, when I looked in the start.sh script I saw it was calling PHP7 but in fact it downloads PHP5. I updated the script so it reflected what it did.
run this perl -i -pe 's/php7/php5/g' start.sh
this will replace php7 with php5. this should get you started.

@SOF3
SOF3 commented Dec 9, 2016

Project has moved -> check README.md

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment